Child pages
  • play framework에 GAE 최신 버전(1.5) 설치하기
Skip to end of metadata
Go to start of metadata

play framework에서 사용할 수 있는 GAE Module 최신 버전은 2011년 8월 1일 현재 1.4 버전이다. 하지만 1.5 버전으로 업그레이드가 된 상태에서 배포가 되지 않고 있는 상태이다. 소스 코드로 부터 Module을 설치하는 과정을 살펴보면 다음과 같다. GAE 1.5 모듈을 설치하면서 play framework이 어떤 구조로 작성되었는지도 살펴보면 좋을 듯 하다.

play framework의 빌드는 기본적으로 ant를 사용한다. 따라서 module을 빌드하기 전에 먼저 ant를 설치한다.
http://ant.apache.org/index.html 에서 Ant를 다운로드한 후 압축을 푼다.

$ cd /path/to/play/modules
$ git clone https://github.com/guillaumebort/play-gae.git
$ mv play-gae gae
 
$ cd gae
$ play build-module

위와 같이 명령어를 실행한 후 설치할 gae module 버전과 play framework의 버전을 지정하면 빌드가 완료된다.

Install a Play Framework module from source 문서에 더 자세하게 설명되어 있다.

  • No labels